#!/bin/sh

### BEGIN INIT INFO
# Provides:          property_service_daemon
# Required-Start:    $syslog mosquitto
# Required-Stop:     $syslog mosquitto
# Default-Start:     5
# Default-Stop:      0 1 2 3 4 6
# Short-Description: Launches Property Service daemon
# Description:
### END INIT INFO

. /etc/init.d/init-functions

NAME=maxwell-property-service
DAEMON=/usr/sbin/PropertyService
PIDFILE=/var/run/PropertyService.pid
DAEMON_ARGS=""

. /etc/init.d/maxwell-functions

if [ "$1" == "start" ]; then
    timeout=10
    /usr/sbin/propcli get State.PropertyService.Ready --wait-for-property --wait-timeout ${timeout} --verbose 1>/dev/null
    status=$?
    if [ ${status} != "0" ]; then
        log_failure_msg "Property Service initialization timeout after ${timeout} seconds."
    fi
fi
